diff --git a/rubygem-signet/rubygem-signet.spec b/rubygem-signet/rubygem-signet.spec
index 2fde3961f..926905b65 100644
--- a/rubygem-signet/rubygem-signet.spec
+++ b/rubygem-signet/rubygem-signet.spec
@@ -14,12 +14,12 @@ URL: https://github.com/google/signet/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(addressable) >= 2.3
 Requires: %{?scl_prefix}rubygem(addressable) < 3.0
 Requires: %{?scl_prefix}rubygem(extlib) >= 0.9
@@ -32,14 +32,15 @@ Requires: %{?scl_prefix}rubygem(multi_json) >= 1.10
 Requires: %{?scl_prefix}rubygem(multi_json) < 2.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Signet is an OAuth 1.0 / OAuth 2.0 implementation.
@@ -48,6 +49,7 @@ Signet is an OAuth 1.0 / OAuth 2.0 implementation.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -97,4 +99,3 @@ cp -a .%{gem_dir}/* \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.4.5-1
 - new package built with tito
-
diff --git a/rubygem-spice-html5-rails/rubygem-spice-html5-rails.spec b/rubygem-spice-html5-rails/rubygem-spice-html5-rails.spec
index de28ad540..1f7d36d82 100644
--- a/rubygem-spice-html5-rails/rubygem-spice-html5-rails.spec
+++ b/rubygem-spice-html5-rails/rubygem-spice-html5-rails.spec
@@ -14,22 +14,23 @@ License: GPLv2+ or Ruby
 URL: http://www.spice-space.org
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Spice HTML5 client packed for Rails application
@@ -39,6 +40,7 @@ Spice HTML5 client packed for Rails application
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-sprockets/rubygem-sprockets.spec b/rubygem-sprockets/rubygem-sprockets.spec
index 33eabb8da..38c948c45 100644
--- a/rubygem-sprockets/rubygem-sprockets.spec
+++ b/rubygem-sprockets/rubygem-sprockets.spec
@@ -26,45 +26,45 @@ Patch2: rubygem-sprockets-2.12.1-assert_raise-assert_raises.patch
 # https://github.com/sstephenson/sprockets/commit/9be057ce5804492c7c5bd1b20ba7da49c5538740
 Patch3: rubygem-sprockets-2.12.1-assert_no_equal-is-gone.patch
 
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}rubygem(hike) => 1.2
-Requires: %{?scl_prefix}rubygem(hike) < 2
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}rubygem(hike) => 1.2
+Requires: %{?scl_prefix_ruby}rubygem(hike) < 2
 Requires: %{?scl_prefix}rubygem(multi_json) => 1.0
 Requires: %{?scl_prefix}rubygem(multi_json) < 2
-Requires: %{?scl_prefix}rubygem(rack) => 1.0
-Requires: %{?scl_prefix}rubygem(rack) < 2
-Requires: %{?scl_prefix}rubygem(tilt) => 1.1
-Requires: %{?scl_prefix}rubygem(tilt) < 2
-Conflicts: %{?scl_prefix}rubygem(tilt) = 1.3.0
+Requires: %{?scl_prefix_ruby}rubygem(rack) => 1.0
+Requires: %{?scl_prefix_ruby}rubygem(rack) < 2
+Requires: %{?scl_prefix_ruby}rubygem(tilt) => 1.1
+Requires: %{?scl_prefix_ruby}rubygem(tilt) < 2
+Conflicts: %{?scl_prefix_ruby}rubygem(tilt) = 1.3.0
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygem(coffee-script)
-BuildRequires: %{?scl_prefix}rubygem(execjs)
-BuildRequires: %{?scl_prefix}rubygem(hike) => 1.2
-BuildRequires: %{?scl_prefix}rubygem(hike) < 2
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygem(uglifier)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygem(coffee-script)
+BuildRequires: %{?scl_prefix_ruby}rubygem(execjs)
+BuildRequires: %{?scl_prefix_ruby}rubygem(hike) => 1.2
+BuildRequires: %{?scl_prefix_ruby}rubygem(hike) < 2
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(uglifier)
 BuildRequires: %{?scl_prefix}rubygem(multi_json)
-BuildRequires: %{?scl_prefix}rubygem(json)
-BuildRequires: %{?scl_prefix}rubygem(rack) => 1.0
-BuildRequires: %{?scl_prefix}rubygem(rack) < 2
-BuildRequires: %{?scl_prefix}rubygem(rack-test)
-BuildRequires: %{?scl_prefix}rubygem(rake)
+BuildRequires: %{?scl_prefix_ruby}rubygem(json)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rack) => 1.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rack) < 2
+BuildRequires: %{?scl_prefix_ruby}rubygem(rack-test)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake)
 BuildRequires: %{?scl_prefix}rubygem(sass)
-BuildRequires: %{?scl_prefix}rubygem(therubyracer)
-BuildRequires: %{?scl_prefix}rubygem(tilt) => 1.1
-BuildRequires: %{?scl_prefix}rubygem(tilt) < 2
-BuildConflicts: %{?scl_prefix}rubygem(tilt) = 1.3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(therubyracer)
+BuildRequires: %{?scl_prefix_ruby}rubygem(tilt) => 1.1
+BuildRequires: %{?scl_prefix_ruby}rubygem(tilt) < 2
+BuildConflicts: %{?scl_prefix_ruby}rubygem(tilt) = 1.3.0
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 %if "%{?scl_v8}" != ""
 BuildRequires: %{?scl_v8}
@@ -73,6 +73,7 @@ BuildRequires: %{?scl_v8}-scldevel
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Sprockets is a Rack-based asset packaging system that concatenates and serves
@@ -82,6 +83,7 @@ JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.
 Summary:   Documentation for %{name}
 Group:     Documentation
 Requires:  %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-sshkey/rubygem-sshkey.spec b/rubygem-sshkey/rubygem-sshkey.spec
index 5cee996d7..a4f3c561d 100644
--- a/rubygem-sshkey/rubygem-sshkey.spec
+++ b/rubygem-sshkey/rubygem-sshkey.spec
@@ -14,22 +14,23 @@ URL: https://github.com/bensie/sshkey
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Generate private and public SSH keys (RSA and DSA supported) using pure Ruby.
@@ -38,6 +39,7 @@ Generate private and public SSH keys (RSA and DSA supported) using pure Ruby.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -82,4 +84,3 @@ cp -a .%{gem_dir}/* \
 
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 1.6.0-1
 - new package built with tito
-
diff --git a/rubygem-syntax/rubygem-syntax.spec b/rubygem-syntax/rubygem-syntax.spec
index 86d63a2f3..6e4afd899 100644
--- a/rubygem-syntax/rubygem-syntax.spec
+++ b/rubygem-syntax/rubygem-syntax.spec
@@ -14,12 +14,13 @@ Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 Source1:        %{gem_name}-LICENSE
 Patch0:         rubygem-syntax-fix-yaml-parse-for-ruby-1.9.patch
 BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:       %{?scl_prefix}ruby(abi) = 1.9.1
-Requires:       %{?scl_prefix}ruby(rubygems)
-BuildRequires:  %{?scl_prefix}rubygems-devel
-BuildRequires:  %{?scl_prefix}rubygem(minitest)
+Requires:       %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+Requires:       %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
+BuildRequires:  %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch:      noarch
 Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Syntax is a lexical analysis framework. It supports pluggable syntax
diff --git a/rubygem-table_print/rubygem-table_print.spec b/rubygem-table_print/rubygem-table_print.spec
index a7d4c3ff5..2c68c2e24 100644
--- a/rubygem-table_print/rubygem-table_print.spec
+++ b/rubygem-table_print/rubygem-table_print.spec
@@ -12,18 +12,19 @@ License: MIT
 URL: https://github.com/arches/table_print
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?scl:1} || (0%{?el6} && 0%{!?scl:1})
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 TablePrint turns objects into nicely formatted columns for easy reading.
@@ -34,6 +35,7 @@ columns, lets you traverse ActiveRecord associations. Simple, powerful.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-text/rubygem-text.spec b/rubygem-text/rubygem-text.spec
index bd313149a..f8e3d4ab9 100644
--- a/rubygem-text/rubygem-text.spec
+++ b/rubygem-text/rubygem-text.spec
@@ -18,15 +18,16 @@ License:	MIT
 URL:		http://github.com/threedaymonk/text
 Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
 
-BuildRequires:	%{?scl_prefix}ruby(abi)
-BuildRequires:	%{?scl_prefix}rubygems-devel
+BuildRequires:	%{?scl_prefix_ruby}ruby(abi)
+BuildRequires:	%{?scl_prefix_ruby}rubygems-devel
 # Check
-BuildRequires:	%{?scl_prefix}%gem_minitest
-Requires:	%{?scl_prefix}ruby(abi)
-Requires:	%{?scl_prefix}ruby(rubygems)
+BuildRequires:	%{?scl_prefix_ruby}%gem_minitest
+Requires:	%{?scl_prefix_ruby}ruby(abi)
+Requires:	%{?scl_prefix_ruby}ruby(rubygems)
 
 BuildArch:	noarch
 Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A collection of text algorithms: Levenshtein, Soundex, Metaphone, Double
@@ -36,6 +37,7 @@ Metaphone, Figlet, Porter Stemming
 Summary:	Documentation for %{pkg_name}
 Group:	Documentation
 Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch:	noarch
 
 %description doc
diff --git a/rubygem-trollop/rubygem-trollop.spec b/rubygem-trollop/rubygem-trollop.spec
index 653a5d63b..b1931610c 100644
--- a/rubygem-trollop/rubygem-trollop.spec
+++ b/rubygem-trollop/rubygem-trollop.spec
@@ -11,13 +11,14 @@ Group:		Applications/Productivity
 License:	GPLv2
 URL:		http://trollop.rubyforge.org/
 BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:	%{?scl_prefix}ruby(rubygems)
-Requires:	%{?scl_prefix}ruby(abi) = 1.9.1
+Requires:	%{?scl_prefix_ruby}ruby(rubygems)
+Requires:	%{?scl_prefix_ruby}ruby(abi) = 1.9.1
 BuildRequires:	%{?scl_prefix}rubygem(hoe)
-BuildRequires:	%{?scl_prefix}rubygems-devel
-BuildRequires:  %{?scl_prefix}rubygem(minitest)
+BuildRequires:	%{?scl_prefix_ruby}rubygems-devel
+BuildRequires:  %{?scl_prefix_ruby}rubygem(minitest)
 BuildArch:	noarch
 Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 
 %description
diff --git a/rubygem-turbolinks/rubygem-turbolinks.spec b/rubygem-turbolinks/rubygem-turbolinks.spec
index 2c014cfb5..9bcdb2c59 100644
--- a/rubygem-turbolinks/rubygem-turbolinks.spec
+++ b/rubygem-turbolinks/rubygem-turbolinks.spec
@@ -13,20 +13,21 @@ License:        MIT
 URL:            http://github.com/rails/turbolinks
 Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires:       %{?scl_prefix}ruby(release)
+Requires:       %{?scl_prefix_ruby}ruby(release)
 %else
-Requires:       %{?scl_prefix}ruby(abi)
+Requires:       %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires:       %{?scl_prefix}ruby(rubygems)
-Requires:       %{?scl_prefix}rubygem(coffee-rails)
+Requires:       %{?scl_prefix_ruby}ruby(rubygems)
+Requires:       %{?scl_prefix_ruby}rubygem(coffee-rails)
 %if 0%{?fedora} > 18
-BuildRequires:  %{?scl_prefix}ruby(release)
+BuildRequires:  %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires:  %{?scl_prefix}ruby(abi)
+BuildRequires:  %{?scl_prefix_ruby}ruby(abi)
 %endif
-BuildRequires:  %{?scl_prefix}rubygems-devel
+BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
 BuildArch:      noarch
 Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Turbolinks makes following links in your web application faster. Instead of
@@ -39,6 +40,7 @@ Pipeline.)
 Summary:    Documentation for %{pkg_name}
 Group:      Documentation
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch:  noarch
 
 %description doc
diff --git a/rubygem-underscore-rails/rubygem-underscore-rails.spec b/rubygem-underscore-rails/rubygem-underscore-rails.spec
index b91733f73..8554d17be 100644
--- a/rubygem-underscore-rails/rubygem-underscore-rails.spec
+++ b/rubygem-underscore-rails/rubygem-underscore-rails.spec
@@ -12,16 +12,17 @@ Group: Development/Ruby
 License: MIT
 URL: https://github.com/rweng/underscore-rails
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 underscore.js asset pipeline provider/wrapper.
@@ -29,6 +30,7 @@ underscore.js asset pipeline provider/wrapper.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -68,4 +70,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Thu Aug 13 2015 Dominic Cleal <dcleal@redhat.com> 1.8.3-1
 - new package built with tito
-
diff --git a/rubygem-unicode-display_width/rubygem-unicode-display_width.spec b/rubygem-unicode-display_width/rubygem-unicode-display_width.spec
index 9116f5559..7f910cc1c 100644
--- a/rubygem-unicode-display_width/rubygem-unicode-display_width.spec
+++ b/rubygem-unicode-display_width/rubygem-unicode-display_width.spec
@@ -13,14 +13,15 @@ License: MIT
 URL: http://github.com/janlelis/unicode-display_width
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(unicode-display_width) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %global gembuilddir %{buildroot}%{gem_dir}
 
@@ -31,6 +32,7 @@ EastAsianWidth.txt.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -76,4 +78,3 @@ rm -rf %{buildroot}%{gem_instdir}/.yardoc
 
 * Mon Sep 10 2012 Miroslav Suchý <msuchy@redhat.com> 0.1.1-2
 - new package built with tito
-
diff --git a/rubygem-uuidtools/rubygem-uuidtools.spec b/rubygem-uuidtools/rubygem-uuidtools.spec
index c579fa550..2f32a5318 100644
--- a/rubygem-uuidtools/rubygem-uuidtools.spec
+++ b/rubygem-uuidtools/rubygem-uuidtools.spec
@@ -14,15 +14,16 @@ Group: Development/Languages
 License: MIT
 URL: http://uuidtools.rubyforge.org/
 Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygem(rspec-core)
-BuildRequires: %{?scl_prefix}rubygem(rspec-mocks)
-BuildRequires: %{?scl_prefix}rubygem(rspec-expectations)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec-core)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec-mocks)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec-expectations)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 UUIDTools was designed to be a simple library for generating any of the various
@@ -33,6 +34,7 @@ Summary: Documentation for %{pkg_name}
 Group: Documentation
 
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{pkg_name}.
diff --git a/rubygem-validates_lengths_from_database/rubygem-validates_lengths_from_database.spec b/rubygem-validates_lengths_from_database/rubygem-validates_lengths_from_database.spec
index ae08c75a1..2b6d6039a 100644
--- a/rubygem-validates_lengths_from_database/rubygem-validates_lengths_from_database.spec
+++ b/rubygem-validates_lengths_from_database/rubygem-validates_lengths_from_database.spec
@@ -14,23 +14,24 @@ URL: https://github.com/rubiety/validates_lengths_from_database
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(activerecord) >= 2.3.2
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(activerecord) >= 2.3.2
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Few people add length validations to fields in their database, and when saving
@@ -42,6 +43,7 @@ automatically adds length validations to the model.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -87,4 +89,3 @@ cp -a .%{gem_dir}/* \
 
 * Thu Jul 31 2014 Dominic Cleal <dcleal@redhat.com> 0.2.0-1
 - new package built with tito
-
diff --git a/rubygem-wicked/rubygem-wicked.spec b/rubygem-wicked/rubygem-wicked.spec
index 93ae20633..f64c926b0 100644
--- a/rubygem-wicked/rubygem-wicked.spec
+++ b/rubygem-wicked/rubygem-wicked.spec
@@ -21,19 +21,20 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && 0%{!?scl:1})
-Requires:  %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:  %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:  %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:  %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:  %{?scl_prefix}rubygems
-Requires:  %{?scl_prefix}rubygem(rails) >= 3.0.7
+Requires:  %{?scl_prefix_ruby}rubygems
+Requires:  %{?scl_prefix_ruby}rubygem(rails) >= 3.0.7
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %description
 %{desc}
@@ -41,6 +42,7 @@ BuildRequires: %{?scl_prefix}rubygems
 %package   doc
 BuildArch: noarch
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:   Documentation for %{pkg_name}
 
 %description doc
@@ -110,5 +112,3 @@ cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
 
 * Wed Apr 02 2014 Marek Hulan <mhulan@redhat.com> 1.0.2-1
 - new package built with tito
-
-
diff --git a/rubygem-will_paginate/rubygem-will_paginate.spec b/rubygem-will_paginate/rubygem-will_paginate.spec
index 5584395d2..9dd5b77d8 100644
--- a/rubygem-will_paginate/rubygem-will_paginate.spec
+++ b/rubygem-will_paginate/rubygem-will_paginate.spec
@@ -12,20 +12,21 @@ Group:         Development/Languages
 License:       MIT
 URL:           http://github.com/mislav/will_paginate
 Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires:      %{?scl_prefix}ruby(abi) = 1.9.1
-Requires:      %{?scl_prefix}ruby(rubygems)
-Requires:      %{?scl_prefix}rubygem(activerecord)
-BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygem(activesupport)
-BuildRequires: %{?scl_prefix}rubygem(actionpack)
-BuildRequires: %{?scl_prefix}rubygem(activerecord)
-BuildRequires: %{?scl_prefix}rubygem(mocha)
-BuildRequires: %{?scl_prefix}rubygem(sqlite3)
-BuildRequires: %{?scl_prefix}rubygem(rspec)
+Requires:      %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+Requires:      %{?scl_prefix_ruby}ruby(rubygems)
+Requires:      %{?scl_prefix_ruby}rubygem(activerecord)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygem(activesupport)
+BuildRequires: %{?scl_prefix_ruby}rubygem(actionpack)
+BuildRequires: %{?scl_prefix_ruby}rubygem(activerecord)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires: %{?scl_prefix_ruby}rubygem(sqlite3)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 BuildRequires: %{?scl_prefix}rubygem(sequel)
 BuildArch:     noarch
 Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The will_paginate library provides a simple, yet powerful and extensible API
diff --git a/rubygem-wirb/rubygem-wirb.spec b/rubygem-wirb/rubygem-wirb.spec
index a2c0cdde6..180d789dd 100644
--- a/rubygem-wirb/rubygem-wirb.spec
+++ b/rubygem-wirb/rubygem-wirb.spec
@@ -12,17 +12,18 @@ License: MIT
 URL: https://github.com/janlelis/wirb
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 Requires: %{?scl_prefix}rubygem(paint) >= 0.8
 Requires: %{?scl_prefix}rubygem(paint) < 1.0
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(wirb) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -35,6 +36,7 @@ details.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -90,4 +92,3 @@ rm -f %{buildroot}%{gem_instdir}/.gemtest
 
 * Thu Sep 06 2012 Miroslav Suchý <msuchy@redhat.com> 0.4.2-1
 - new package built with tito
-
diff --git a/rubygem-zscheduler/rubygem-zscheduler.spec b/rubygem-zscheduler/rubygem-zscheduler.spec
index 31571df11..39be3168e 100644
--- a/rubygem-zscheduler/rubygem-zscheduler.spec
+++ b/rubygem-zscheduler/rubygem-zscheduler.spec
@@ -14,23 +14,24 @@ URL: http://github.com/eranb/zscheduler
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(eventmachine)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Minimalistic scheduler on top of eventmachine.
@@ -39,6 +40,7 @@ Minimalistic scheduler on top of eventmachine.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -74,4 +76,3 @@ cp -pa .%{gem_dir}/* \
 %changelog
 * Wed Jan 14 2015 Dominic Cleal <dcleal@redhat.com> 0.0.6-1
 - new package built with tito
-
